Package com.zoho.analytics.jdbc

## Class ZohoAnalyticsDriver

- java.lang.Object
- - com.zoho.analytics.jdbc.ZohoAnalyticsDriver

- All Implemented Interfaces:
    `java.sql.Driver`

      public class ZohoAnalyticsDriver
      extends java.lang.Object
      implements java.sql.Driver

  The Driver which need to be loaded to connect the database. The driver class is loaded by calling

  `Class.forName("com.zoho.cloudsql.jdbc.ZohoAnalyticsDriver")`

  See Also:
    Driver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZohoAnalyticsDriver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptsURL​(java.lang.String url)` | `See acceptsURL`
    `java.sql.Connection` | `connect​(java.lang.String url, java.util.Properties properties)` | `See connect`
    `int` | `getMajorVersion()` | `See getMajorVersion`
    `int` | `getMinorVersion()` | `See getMinorVersion`
    `java.util.logging.Logger` | `getParentLogger()` |
    `java.sql.DriverPropertyInfo[]` | `getPropertyInfo​(java.lang.String url, java.util.Properties info)` | `See getPropertyInfo`
    `boolean` | `jdbcCompliant()` | `See jdbcCompliant`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZohoAnalyticsDriver

          public ZohoAnalyticsDriver()

  - ### Method Detail

    - #### acceptsURL

          public boolean acceptsURL​(java.lang.String url)
                             throws java.sql.SQLException

      `See acceptsURL`
      Specified by:
        `acceptsURL` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLException`

    - #### connect

          public java.sql.Connection connect​(java.lang.String url,
                                             java.util.Properties properties)
                                      throws java.sql.SQLException

      `See connect`
      Specified by:
        `connect` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLException`

    - #### getMajorVersion

          public int getMajorVersion()

      `See getMajorVersion`
      Specified by:
        `getMajorVersion` in interface `java.sql.Driver`

    - #### getMinorVersion

          public int getMinorVersion()

      `See getMinorVersion`
      Specified by:
        `getMinorVersion` in interface `java.sql.Driver`

    - #### getPropertyInfo

          public java.sql.DriverPropertyInfo[] getPropertyInfo​(java.lang.String url,
                                                               java.util.Properties info)
                                                        throws java.sql.SQLException

      `See getPropertyInfo`
      Specified by:
        `getPropertyInfo` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLException`

    - #### jdbcCompliant

          public boolean jdbcCompliant()

      `See jdbcCompliant`
      Specified by:
        `jdbcCompliant` in interface `java.sql.Driver`

    - #### getParentLogger

          public java.util.logging.Logger getParentLogger()
                                                   throws java.sql.SQLFeatureNotSupportedException

      Specified by:
        `getParentLogger` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLFeatureNotSupportedException`